Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DescribeLicensesRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.ec2.model.DescribeLicensesRequest

    public class DescribeLicensesRequest

extends AmazonWebServiceRequest

Container for the parameters to the `DescribeLicenses operation`.

Provides details of a user's registered licenses. Zero or more IDs may be specified on the call. When one or more license IDs are specified, only data for the specified IDs are returned.

See Also:
  `AmazonEC2.describeLicenses(DescribeLicensesRequest)`

Constructor Summary
`DescribeLicensesRequest()`

Method Summary
`List<String>` | `getLicenseIds()` Specifies the license registration for which details are to be returned.
`void` | `setLicenseIds(Collection<String> licenseIds)` Specifies the license registration for which details are to be returned.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeLicensesRequest` | `withLicenseIds(Collection<String> licenseIds)` Specifies the license registration for which details are to be returned.
`DescribeLicensesRequest` | `withLicenseIds(String... licenseIds)` Specifies the license registration for which details are to be returned.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeLicensesRequest

    public DescribeLicensesRequest()

Method Detail

### getLicenseIds

    public List<String> getLicenseIds()

  Specifies the license registration for which details are to be returned.

  Returns:
    Specifies the license registration for which details are to be returned.

### setLicenseIds

    public void setLicenseIds(Collection<String> licenseIds)

  Specifies the license registration for which details are to be returned.

  Parameters:
    `licenseIds` - Specifies the license registration for which details are to be returned.

### withLicenseIds

    public DescribeLicensesRequest withLicenseIds(String... licenseIds)

  Specifies the license registration for which details are to be returned.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `licenseIds` - Specifies the license registration for which details are to be returned.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withLicenseIds

    public DescribeLicensesRequest withLicenseIds(Collection<String> licenseIds)

  Specifies the license registration for which details are to be returned.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `licenseIds` - Specifies the license registration for which details are to be returned.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.